package ru.pfr.chel;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import java.math.BigInteger;
//002-312-630 69

public class testSnils {

//    @Test
//    void testIsSnils() {
//        String pSnils ="002-312-630 69";
//        String _result = null;
//        try {
//            _result = Snils.LongSnils(pSnils);
//        } catch (SnilsException e) {
//            e.printStackTrace();
//        }
//        assertNotNull(_result);
//    }

    @Test
    void testParamSnilsCheckIsNotEmpty() {
        String pSnils ="";
        Assertions.assertThrows(SnilsException.class, () -> {
            String _result = Snils.GetSnils(pSnils);
        });
    }
    @Test
    void testParamSnilsCheckIsNotNull() {
        String pSnils ="";
        Assertions.assertThrows(SnilsException.class, () -> {
            String _result = Snils.GetSnils(pSnils);
        });
    }

    @Test
    void testParamSnilsCheckIsNotFormat() {
        String pSnils ="002-312-630 g";
        Assertions.assertThrows(SnilsException.class, () -> {
            String _result = Snils.GetSnils(pSnils);
        });
    }
    @Test
    void testParamSnilsCheckTrue() {
        String pSnils ="002-312-630 69";
        try {
            String _Snils = Snils.GetSnils(pSnils);
        } catch (SnilsException e) {
            Assertions.fail(e.getMessage());
        }
    }

    @Test
    void testParamSnilsCheckFalse() {
        String pSnils ="002-333-631 00";
        Assertions.assertThrows(SnilsException.class, () -> {
            String _result = Snils.GetSnils(pSnils);
        });
    }

    @Test
    void testParamSnilsCheckTrueShort() {
        String pSnils ="00231263069";
        try {
            String _Snils = Snils.GetSnils(pSnils);
            System.out.println(_Snils);
        } catch (SnilsException e) {
            Assertions.fail(e.getMessage());
        }
    }

    @Test
    void testParamSnilsCheckTrueShortBigInt() {
        BigInteger pSnils = BigInteger.valueOf(231263069);
        try {
            String _Snils = Snils.GetSnils(pSnils);
            System.out.println(_Snils);
        } catch (SnilsException e) {
            Assertions.fail(e.getMessage());
        }
    }
}
